View Issue Details

IDProjectCategoryView StatusLast Update
12690Feature requests[All Projects] User/User groupspublic2018-12-03 20:20
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.x.x 
Summary12690: Allow super-admin set by other user's than 1
Description

Currently : superadmin set can be done only by user with uid 1. It can be great if we can have same behaviour than other rights.

Additional Information

I think of 2 step:

  • add superadmin in admin/user/sa/setuserpermissions
  • Add a test a specific test for $sPermission=='superadmin'
  • Add a specific config parameters for "superadmin even if not have the $sPermission=='superadmin', default to [1] something like $config['superadmin_force']=[1];
TagsNo tags attached.

Relationships

has duplicate 12250 closedDenisChenu Feature requests Another super-super-admin than 1 
related to 14314 closedDenisChenu Bug reports Superadmin user rights not stored properly 

Activities

DenisChenu

DenisChenu

2017-09-20 17:29

developer   ~44432

See https://github.com/LimeSurvey/LimeSurvey/pull/810

user70560

2017-09-22 15:16

  ~44445

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=23925

c_schmitz

c_schmitz

2017-09-22 15:34

administrator   ~44447

Looks fine. Thank you.

Related Changesets

LimeSurvey: master 01a1b9dd

2017-09-22 15:16:36

user70560


Committer: GitHub Details Diff
New feature 12690: Allow super-admin set by other user's than 1 (#810)

Dev: this add [supermadmin][create] by DB
Dev: add a confug var (array) 'forcedsuperadmin'
Affected Issues
12250, 12690
mod - application/config/config-defaults.php Diff File
mod - application/controllers/admin/useraction.php Diff File
mod - application/models/Permission.php Diff File
mod - application/models/User.php Diff File

Issue History

Date Modified Username Field Change
2017-09-20 11:51 DenisChenu New Issue
2017-09-20 11:54 DenisChenu Category Security => User/User groups
2017-09-20 17:29 DenisChenu Note Added: 44432
2017-09-22 15:16 user70560 Changeset attached => LimeSurvey master 01a1b9dd
2017-09-22 15:16 user70560 Note Added: 44445
2017-09-22 15:16 user70560 Assigned To => user70560
2017-09-22 15:16 user70560 Resolution open => fixed
2017-09-22 15:34 c_schmitz Status new => closed
2017-09-22 15:34 c_schmitz Fixed in Version => 2.x.x
2017-09-22 15:34 c_schmitz Note Added: 44447
2017-09-28 00:13 DenisChenu Relationship added has duplicate 12250
2018-12-03 20:20 DenisChenu Relationship added related to 14314